"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// tslint:disable-next-line:variable-name
function cloneClass(OriginalClass) {
    for (const staticProperty in OriginalClass) {
        if (typeof OriginalClass[staticProperty] === 'object') {
            throw new Error('static property initialized to an object with defination is not supported with cloneClass.');
        }
    }
    Reflect.ownKeys(OriginalClass).forEach((staticProperty) => {
        console.log('staticProperty', staticProperty);
    });
    class AnotherOriginalClass extends OriginalClass {
        constructor(...args) {
            super(...args);
        }
    }
    Reflect.defineProperty(AnotherOriginalClass, 'name', {
        value: OriginalClass.name,
    });
    return AnotherOriginalClass;
}
exports.cloneClass = cloneClass;
exports.default = cloneClass;
//# sourceMappingURL=clone-class.js.map